> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://mailchimp.com/developer/marketing/api/ecommerce/list-store-customers/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://mailchimp.com/_mcp/server. # List customers GET https://api.mailchimp.com/3.0/ecommerce/stores/{store_id}/customers Get information about a store's customers. Reference: https://mailchimp.com/developer/marketing/api/ecommerce/list-store-customers ## Authentication - `Authorization` header (bearer token, required) — Authorization using a Mailchimp API key (a.k.a. Bearer token) - `Authorization` header (bearer token, required) — Authorization using OAuth ## Request ### Path parameters - `store_id` (string, required) — The store id. ### Query parameters - `fields` (list of string, optional) — A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation. - `exclude_fields` (list of string, optional) — A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation. - `count` (integer, optional, default: 10) — The number of records to return. Default value is 10. Maximum value is 1000 - `offset` (integer, optional, default: 0) — Used for [pagination](https://mailchimp.com/developer/marketing/docs/methods-parameters/#pagination), this is the number of records from a collection to skip. Default value is 0. - `email_address` (string, optional) — Restrict the response to customers with the email address. ## Response ### 200 - `_links` (list of 30EcommerceStoresStoreIdCustomersGetResponsesContentApplicationJsonSchemaLinksItems, optional) — A list of link types and descriptions for the API schema documents. - `customers` (list of ECommerceCustomer, optional) — An array of objects, each representing a customer of a store. - `store_id` (string, optional) — The store id. - `total_items` (integer, optional) — The total number of items matching the query regardless of pagination. ## Types ### 30EcommerceStoresStoreIdCustomersGetResponsesContentApplicationJsonSchemaLinksItems This object represents a link from the resource where it is found to another resource or action that may be performed. - `href` (string, optional) — This property contains a fully-qualified URL that can be called to retrieve the linked resource or perform the linked action. - `method` (enum, optional) — The HTTP method that should be used when accessing the URL defined in 'href'. - Allowed values: `GET`, `POST`, `PUT`, `PATCH`, `DELETE`, `OPTIONS`, `HEAD` - `rel` (string, optional) — As with an HTML 'rel' attribute, this describes the type of link. - `schema` (string, optional) — For HTTP methods that can receive bodies (POST and PUT), this is a URL representing the schema that the body should conform to. - `targetSchema` (string, optional) — For GETs, this is a URL representing the schema that the response should conform to. ### ECommerceCustomer Information about a specific customer. - `_links` (list of ECommerceCustomerLinksItems, optional) — A list of link types and descriptions for the API schema documents. - `address` (ECommerceCustomerAddress, optional) — The customer's address. - `company` (string, optional) — The customer's company. - `created_at` (datetime, optional) — The date and time the customer was created in ISO 8601 format. - `email_address` (string, optional) — The customer's email address. - `first_name` (string, optional) — The customer's first name. - `id` (string, optional) — A unique identifier for the customer. - `last_name` (string, optional) — The customer's last name. - `opt_in_status` (boolean, optional) — The customer's opt-in status. This value will never overwrite the opt-in status of a pre-existing Mailchimp list member, but will apply to list members that are added through the e-commerce API endpoints. Customers who don't opt in to your Mailchimp list [will be added as `Transactional` members](https://mailchimp.com/developer/marketing/docs/e-commerce/#customers). - `orders_count` (integer, optional) — The customer's total order count. - `sms_phone_number` (string, optional) — A US phone number for SMS contact. - `total_spent` (ECommerceCustomerTotalSpent, optional) - `updated_at` (datetime, optional) — The date and time the customer was last updated in ISO 8601 format. ### ECommerceCustomerLinksItems This object represents a link from the resource where it is found to another resource or action that may be performed. - `href` (string, optional) — This property contains a fully-qualified URL that can be called to retrieve the linked resource or perform the linked action. - `method` (enum, optional) — The HTTP method that should be used when accessing the URL defined in 'href'. - Allowed values: `GET`, `POST`, `PUT`, `PATCH`, `DELETE`, `OPTIONS`, `HEAD` - `rel` (string, optional) — As with an HTML 'rel' attribute, this describes the type of link. - `schema` (string, optional) — For HTTP methods that can receive bodies (POST and PUT), this is a URL representing the schema that the body should conform to. - `targetSchema` (string, optional) — For GETs, this is a URL representing the schema that the response should conform to. ### ECommerceCustomerAddress The customer's address. - `address1` (string, optional) — The mailing address of the customer. - `address2` (string, optional) — An additional field for the customer's mailing address. - `city` (string, optional) — The city the customer is located in. - `country` (string, optional) — The customer's country. - `country_code` (string, optional) — The two-letter code for the customer's country. - `postal_code` (string, optional) — The customer's postal or zip code. - `province` (string, optional) — The customer's state name or normalized province. - `province_code` (string, optional) — The two-letter code for the customer's province or state. ### ECommerceCustomerTotalSpent ## Examples **Response** ```json { "_links": [ { "href": "string", "method": "GET", "rel": "string", "schema": "string", "targetSchema": "string" } ], "customers": [ { "_links": [ { "href": "string", "method": "GET", "rel": "string", "schema": "string", "targetSchema": "string" } ], "address": { "address1": "675 Ponce de Leon Ave NE", "address2": "Suite 5000", "city": "Atlanta", "country": "United States", "country_code": "US", "postal_code": "30308", "province": "Georgia", "province_code": "GA" }, "company": "string", "created_at": "2015-07-15T19:28:00+00:00", "email_address": "string", "first_name": "string", "id": "string", "last_name": "string", "opt_in_status": true, "orders_count": 4, "sms_phone_number": "string", "total_spent": 1.1, "updated_at": "2015-07-15T19:28:00+00:00" } ], "store_id": "string", "total_items": 1 } ``` **SDK Code** ```python import requests url = "https://api.mailchimp.com/3.0/ecommerce/stores/store_id/customers" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.mailchimp.com/3.0/ecommerce/stores/store_id/customers'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.mailchimp.com/3.0/ecommerce/stores/store_id/customers" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.mailchimp.com/3.0/ecommerce/stores/store_id/customers") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.mailchimp.com/3.0/ecommerce/stores/store_id/customers") .header("Authorization", "Bearer ") .asString(); ``` ```php request('GET', 'https://api.mailchimp.com/3.0/ecommerce/stores/store_id/customers', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.mailchimp.com/3.0/ecommerce/stores/store_id/customers"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.mailchimp.com/3.0/ecommerce/stores/store_id/customers")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ``` > Find all the Mailchimp API documentation and tools developers need to send marketing and transactional emails.